/*
* Copyright (c) 1999
* Steven G. Kargl.  All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
*
* 1. Redistributions of source code must retain the above copyright notice,
*    this list of conditions and the following disclaimer.
*
* 2. Redistributions in binary form must reproduce the above copyright notice,
*    this list of conditions and the following disclaimer in the documentation
*    and/or other materials provided with the distribution.
*
* This software is provided by Steven G. Kargl and contributors ``as is'' and
* any express or implied warranties, including, but not limited to, the implied
* warranties of merchantability and fitness for a particular purpose are
* disclaimed.  In no event shall Steven G. Kargl or contributors be liable for
* any direct, indirect, incidental, special, exemplary, or consequential
* damages (including, but not limited to, procurement of substitute goods or
* services; loss of use, data, or profits; or business interruption) however
* caused and on any theory of liability, whether in contract, strict liability,
* or tort (including negligence or otherwise) arising in any way out of the
* use of this software, even if advised of the possibility of such damage.
*/

#ifndef _F77_H
#define _F77_H

#ifdef flags_t
#undef flags_t;
#endif
typedef unsigned long int flags_t;

#define CLEAR				0ul
#define VERBOSE				(1ul << 0)
#define COMPILE_ONLY		(1ul << 1)
#define PREPROCESS_ONLY		(1ul << 2)
#define ONETRIP				(1ul << 3)
#define BOUNDS_CHECK		(1ul << 4)
#define FREE_FORM			(1ul << 5)
#define F66_HOLLERITH		(1ul << 6)
#define NO_PROMOTE_REAL		(1ul << 7)
#define REAL_FUNCS			(1ul << 8)
#define NO_WARNINGS			(1ul << 9)
#define NO_DBLE_CMPLX		(1ul << 10)
#define IGNORE_CD_FUNCS		(1ul << 11)
#define STRICT_F77			(1ul << 12)
#define COLUMNS_72			(1ul << 13)
#define SHORT_INTEGER		(1ul << 14)
#define IGNORE_F90_BITS		(1ul << 15)
#define F77_TEMPORARY		(1ul << 16)
#define PROMOTE_REAL2DP		(1ul << 17)
#define ALIGN_COMMON		(1ul << 18)
#define SUPRESS_F66_WARN	(1ul << 19)
#define SUN_FPP_NO_WARN		(1ul << 20)
#define SUN_FPP_UNDEF		(1ul << 21)
#define SUN_FPP_MACROS		(1ul << 22)
#define ECHO				(1ul << 23)

#endif
